on LoadGroup Group
  global PlayList, GroupList, ActivePlayList, ActiveGrouplist
  ActivePlayList = getProp(PlayList, Group)
  case Group of
    #GroupA:
      ActivePlayList = PlayList.GroupA
      sprite(25).memberNum = 72
    #GroupB:
      ActivePlayList = PlayList.GroupB
      sprite(25).memberNum = 73
    #GroupC:
      ActivePlayList = PlayList.GroupC
      sprite(25).memberNum = 74
    #GroupD:
      ActivePlayList = PlayList.GroupD
      sprite(25).memberNum = 75
  end case
  ActiveGrouplist = getProp(GroupList, Group)
  PutGameData()
  PutPouleData()
  GroupAllInVis()
  OneGroupVis()
end

on PutGameData
  global ActivePlayList
  repeat with n = 1 to 6
    Thuis = "Game" & n & "Home"
    Uit = "Game" & n & "Out"
    if getAt(getAt(getAt(ActivePlayList, n), 1), 1) = EMPTY then
      sprite(54 + n).member = 81
      put getAt(getAt(getAt(ActivePlayList, n), 1), 1) into field Thuis
      put getAt(getAt(getAt(ActivePlayList, n), 1), 2) into field Uit
      member(Thuis).editable = 1
      member(Uit).editable = 1
      next repeat
    end if
    sprite(54 + n).member = 82
    put getAt(getAt(getAt(ActivePlayList, n), 1), 1) into field Thuis
    put getAt(getAt(getAt(ActivePlayList, n), 1), 2) into field Uit
    member(Thuis).editable = 0
    member(Uit).editable = 0
  end repeat
end

on PutPouleData PorM
  global ActivePlayList, ActiveGrouplist
  TempPlaces = CheckPoints()
  member("Place").text = EMPTY
  put EMPTY into member "Played"
  put EMPTY into member "Won"
  put EMPTY into member "Draw"
  put EMPTY into member "Lost"
  put EMPTY into member "points"
  put EMPTY into member "scored"
  put EMPTY into member "against"
  repeat with n = 1 to 4
    put member("Place").text & getPropAt(ActiveGrouplist, getAt(TempPlaces, n)) & RETURN into member "Place"
    put member("Played").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #P) & RETURN into member "Played"
    put member("Won").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #W) & RETURN into member "Won"
    put member("Draw").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #d) & RETURN into member "Draw"
    put member("Lost").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #L) & RETURN into member "Lost"
    put member("points").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #PO) & RETURN into member "points"
    put member("scored").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #GF) & RETURN into member "scored"
    put member("against").text & getProp(getAt(ActiveGrouplist, getAt(TempPlaces, n)), #GT) & RETURN into member "against"
  end repeat
  if PorM = #add then
    CheckALlPlayed(TempPlaces)
  else
    if PorM = #Del then
      CheckALLDelete()
    end if
  end if
end

on CheckPoints
  global ActiveGrouplist, TempPlace
  temp = [1: 0, 2: 0, 3: 0, 4: 0]
  TempPlace = 4
  ZeroGames = []
  BackUp = [:]
  repeat with d = 1 to 4
    repeat with n = 1 to 4
      if d <> n then
        if getProp(getAt(ActiveGrouplist, d), #PO) > getProp(getAt(ActiveGrouplist, n), #PO) then
          TempPlace = TempPlace - 1
          next repeat
        end if
        if getProp(getAt(ActiveGrouplist, d), #PO) = getProp(getAt(ActiveGrouplist, n), #PO) then
          CheckGames(d, n, TempPlace)
        end if
      end if
    end repeat
    addProp(BackUp, TempPlace, d)
    if getProp(getAt(ActiveGrouplist, d), #P) = 0 then
      add(ZeroGames, d)
    else
      setProp(temp, TempPlace, d)
    end if
    TempPlace = 4
  end repeat
  if ZeroGames <> [] then
    repeat with z = 1 to count(ZeroGames)
      setProp(temp, getPos(temp, 0), getAt(ZeroGames, z))
    end repeat
  end if
  repeat with n = 1 to 4
    if getAt(temp, n) = 0 then
      temp = DoBackUp(BackUp, temp)
    end if
  end repeat
  return temp
end

on CheckGames d, n, TempPlace
  global ActiveGrouplist, TempPlace
  if getProp(getAt(ActiveGrouplist, d), #P) < getProp(getAt(ActiveGrouplist, n), #P) then
    TempPlace = TempPlace - 1
  else
    if getProp(getAt(ActiveGrouplist, d), #P) = getProp(getAt(ActiveGrouplist, n), #P) then
      CheckGoals(d, n, TempPlace)
    end if
  end if
end

on CheckGoals d, n, TempPlace
  global ActiveGrouplist, TempPlace
  if (getProp(getAt(ActiveGrouplist, d), #GF) - getProp(getAt(ActiveGrouplist, d), #GT)) > (getProp(getAt(ActiveGrouplist, n), #GF) - getProp(getAt(ActiveGrouplist, n), #GT)) then
    TempPlace = TempPlace - 1
  else
    if (getProp(getAt(ActiveGrouplist, d), #GF) - getProp(getAt(ActiveGrouplist, d), #GT)) = (getProp(getAt(ActiveGrouplist, n), #GF) - getProp(getAt(ActiveGrouplist, n), #GT)) then
      CheckGoalsVoor(d, n, TempPlace)
    end if
  end if
end

on CheckGoalsVoor d, n, TempPlace
  global ActiveGrouplist, TempPlace
  if getProp(getAt(ActiveGrouplist, d), #GF) > getProp(getAt(ActiveGrouplist, n), #GF) then
    TempPlace = TempPlace - 1
  else
    if getProp(getAt(ActiveGrouplist, d), #GF) = getProp(getAt(ActiveGrouplist, n), #GF) then
      CheckGAmeAgainst(d, n, TempPlace)
    end if
  end if
end

on CheckGAmeAgainst d, n, TempPlace
  global ActiveGrouplist, ActivePlayList, TempPlace
  repeat with g = 1 to 6
    if (getPropAt(getAt(ActivePlayList, g).who, 2) = getPropAt(ActiveGrouplist, d)) and (getPropAt(getAt(ActivePlayList, g).who, 1) = getPropAt(ActiveGrouplist, n)) then
      if getAt(getAt(ActivePlayList, g).who, 2) > getAt(getAt(ActivePlayList, g).who, 1) then
        TempPlace = TempPlace - 1
      else
        if getAt(getAt(ActivePlayList, g).who, 2) = getAt(getAt(ActivePlayList, g).who, 1) then
          if ((getAt(getAt(ActivePlayList, g).who, 1) = 0) and (getAt(getAt(ActivePlayList, g).who, 2) = 0)) or ((getAt(getAt(ActivePlayList, g).who, 1) = EMPTY) and (getAt(getAt(ActivePlayList, g).who, 2) = EMPTY)) then
            CheckOutPoints(d, n, TempPlace)
          else
            TempPlace = TempPlace - 1
          end if
        end if
      end if
      next repeat
    end if
    if (getPropAt(getAt(ActivePlayList, g).who, 1) = getPropAt(ActiveGrouplist, d)) and (getPropAt(getAt(ActivePlayList, g).who, 2) = getPropAt(ActiveGrouplist, n)) then
      if getAt(getAt(ActivePlayList, g).who, 1) > getAt(getAt(ActivePlayList, g).who, 2) then
        TempPlace = TempPlace - 1
        next repeat
      end if
      if getAt(getAt(ActivePlayList, g).who, 1) = getAt(getAt(ActivePlayList, g).who, 2) then
        if ((getAt(getAt(ActivePlayList, g).who, 1) = 0) and (getAt(getAt(ActivePlayList, g).who, 2) = 0)) or ((getAt(getAt(ActivePlayList, g).who, 1) = EMPTY) and (getAt(getAt(ActivePlayList, g).who, 2) = EMPTY)) then
          CheckOutPoints(d, n, TempPlace)
          next repeat
        end if
      end if
    end if
  end repeat
end

on CheckOutPoints d, n, TempPlace
  global ActiveGrouplist, ActivePlayList, TempPlace
  PlayOne = 0
  PlayTwo = 0
  repeat with g = 1 to 6
    if getPropAt(getAt(ActivePlayList, g).who, 1) = getPropAt(ActiveGrouplist, d) then
      if getAt(getAt(ActivePlayList, g).who, 1) <> EMPTY then
        PlayOne = PlayOne + getAt(getAt(ActivePlayList, g).who, 1)
      end if
    end if
    if getPropAt(getAt(ActivePlayList, g).who, 2) = getPropAt(ActiveGrouplist, d) then
      if getAt(getAt(ActivePlayList, g).who, 2) <> EMPTY then
        PlayOne = PlayOne + (getAt(getAt(ActivePlayList, g).who, 2) * 2)
      end if
    end if
    if getPropAt(getAt(ActivePlayList, g).who, 1) = getPropAt(ActiveGrouplist, n) then
      if getAt(getAt(ActivePlayList, g).who, 1) <> EMPTY then
        PlayTwo = PlayTwo + getAt(getAt(ActivePlayList, g).who, 1)
      end if
    end if
    if getPropAt(getAt(ActivePlayList, g).who, 2) = getPropAt(ActiveGrouplist, n) then
      if getAt(getAt(ActivePlayList, g).who, 2) <> EMPTY then
        PlayTwo = PlayTwo + (getAt(getAt(ActivePlayList, g).who, 2) * 2)
      end if
    end if
  end repeat
  if PlayOne > PlayTwo then
    TempPlace = TempPlace - 1
  else
    if PlayOne = PlayTwo then
      CheckAlpha(d, n, TempPlace)
    end if
  end if
end

on CheckAlpha d, n, TempPlace
  global ActiveGrouplist, TempPlace
  if getProp(getAt(ActiveGrouplist, d), #Alpha) < getProp(getAt(ActiveGrouplist, n), #Alpha) then
    TempPlace = TempPlace - 1
  end if
end

on DoBackUp BackUp, temp
  sort(BackUp)
  repeat with n = 1 to 4
    setProp(temp, n, getAt(BackUp, n))
  end repeat
  return temp
end
